Debian Bug report logs - #496511
Please include simpledhcpd binary

version graph

Package: udhcpd; Maintainer for udhcpd is Debian Install System Team <debian-boot@lists.debian.org>; Source for udhcpd is src:busybox.

Reported by: Joachim Breitner <nomeata@debian.org>

Date: Mon, 25 Aug 2008 11:27:02 UTC

Severity: wishlist

Tags: patch, wontfix

Found in version busybox/1:1.15.3-1

Done: Cyril Brulebois <kibi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, martin f krafft <madduck@debian.org>, Eric Van Buggenhaut <ericvb@debian.org>:
Bug#496511; Package udhcp. Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
New Bug report received and forwarded. Copy sent to martin f krafft <madduck@debian.org>, Eric Van Buggenhaut <ericvb@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Please include simpledhcpd binary
Date: Mon, 25 Aug 2008 13:24:04 +0200
[Message part 1 (text/plain, inline)]
Package: udhcp
Version: 0.9.8cvs20050303-2
Severity: wishlist
Tags: patch

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

a while ago, I wrote a simpledhcpd binary inside the udhcp code:
http://www.joachim-breitner.de/blog/archives/243-Spontanious-DHCP-Server-Done..html

Some people have shown interest in getting this packaged for Debian. I
think it would be unwise to copy the udhcpd code base, so I’m asking for
inclusion of the patch in the udhcp package. Of course I’ll be present
to reply to bugs in my code, and subscribe to the pts.

Greetings and thanks,
Joachim


- -- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.25-2-486
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkiyllMACgkQ9ijrk0dDIGztDQCeM+5HFfskwwstOYsW/KjK/D8i
idMAn2KsW6/EFuVKR/ZTaJ7xwrblHg+S
=QWlB
-----END PGP SIGNATURE-----
[udhcp-simpledhcpd.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Van Buggenhaut <ericvb@debian.org>:
Bug#496511; Package udhcp. (Sun, 16 Jan 2011 18:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Eric Van Buggenhaut <ericvb@debian.org>. (Sun, 16 Jan 2011 18:24:02 GMT) Full text and rfc822 format available.

Message #10 received at 496511@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: 496511@bugs.debian.org
Cc: Joachim Breitner <nomeata@debian.org>
Subject: Re: Bug#496511: Please include simpledhcpd binary
Date: Sun, 16 Jan 2011 19:20:30 +0100
[Message part 1 (text/plain, inline)]
reassign 496511 udhcpd
found 496511 1:1.15.3-1
thanks

Hi there!

On Mon, 25 Aug 2008 13:24:04 +0200, Joachim Breitner wrote:
> Package: udhcp
> Version: 0.9.8cvs20050303-2
[...]
> a while ago, I wrote a simpledhcpd binary inside the udhcp code:
> http://www.joachim-breitner.de/blog/archives/243-Spontanious-DHCP-Server-Done..html
>
> Some people have shown interest in getting this packaged for Debian. I
> think it would be unwise to copy the udhcpd code base, so I’m asking for
> inclusion of the patch in the udhcp package. Of course I’ll be present
> to reply to bugs in my code, and subscribe to the pts.

The old external udhcp package was (finally) superseded by busybox:
--8<---------------cut here---------------start------------->8---
busybox (1:1.15.3-1) unstable; urgency=low

  [ Bastian Blank ]
  * New upstream release.
  * Use 3.0 (quilt) source format.
  * Use debhelper compat level 7.

  [ Axel Beckert ]
  * Add binary packages containing symbolic links for
    syslogd/klogd/logread. (Closes: #537623)
  * Add binary packages containing symbolic links for udhcpc and udhcpd plus
    configuration.
  * Enabled PID file support in normal and static build (needed for at
    least udhcpc and udhcpd in a non-volatile environment)
  * Fixed typo in copyright file

  [ Otavio Salvador ]
  * [udeb] set executable bit in udhcpc script
  * [udeb] write a lease file for udhcpc response

  [ Frans Pop ]
  * [udeb] disable CONFIG_CTTYHACK as it's no longer used in D-I.

 -- Bastian Blank <waldi@debian.org>  Mon, 22 Feb 2010 10:13:57 +0100
--8<---------------cut here---------------end--------------->8---

For this reason, I reassigned this wishlist bug to the busybox's udhcpd
binary package, so this bug will not be forgot.

Thx, bye,
Gismo / Luca
[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package 'udhcp' to 'udhcpd'. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Sun, 16 Jan 2011 18:24:04 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 0.9.8cvs20050303-2. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Sun, 16 Jan 2011 18:24:04 GMT) Full text and rfc822 format available.

Bug Marked as found in versions busybox/1:1.15.3-1. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Sun, 16 Jan 2011 18:24:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#496511; Package udhcpd. (Fri, 01 Jul 2011 20:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Tokarev <mjt@tls.msk.ru>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 01 Jul 2011 20:33:03 GMT) Full text and rfc822 format available.

Message #21 received at 496511@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: Joachim Breitner <nomeata@debian.org>, 496511@bugs.debian.org
Subject: Re: Bug#496511: Please include simpledhcpd binary
Date: Sat, 02 Jul 2011 00:29:45 +0400
tags 496511 + wontfix
thanks

> a while ago, I wrote a simpledhcpd binary inside the udhcp code:
> http://www.joachim-breitner.de/blog/archives/243-Spontanious-DHCP-Server-Done..html
>
> Some people have shown interest in getting this packaged for Debian. I
> think it would be unwise to copy the udhcpd code base, so I’m asking for
> inclusion of the patch in the udhcp package. Of course I’ll be present
> to reply to bugs in my code, and subscribe to the pts.

There's really no need to have two dhcp servers inside busybox,
one is enough I think.  Marking this bugreport as wontfix.

Thanks!

/mjt




Added tag(s) wontfix. Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Fri, 01 Jul 2011 20:33:05 GMT) Full text and rfc822 format available.

Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Mon, 17 Mar 2014 01:39:10 GMT) Full text and rfc822 format available.

Notification sent to Joachim Breitner <nomeata@debian.org>:
Bug acknowledged by developer. (Mon, 17 Mar 2014 01:39:10 GMT) Full text and rfc822 format available.

Message #28 received at 496511-done@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Michael Tokarev <mjt@tls.msk.ru>, 496511-done@bugs.debian.org
Cc: Joachim Breitner <nomeata@debian.org>
Subject: Re: Bug#496511: Please include simpledhcpd binary
Date: Mon, 17 Mar 2014 02:36:11 +0100
[Message part 1 (text/plain, inline)]
Michael Tokarev <mjt@tls.msk.ru> (2011-07-02):
> tags 496511 + wontfix
> thanks
> 
> > a while ago, I wrote a simpledhcpd binary inside the udhcp code:
> > http://www.joachim-breitner.de/blog/archives/243-Spontanious-DHCP-Server-Done..html
> >
> > Some people have shown interest in getting this packaged for Debian. I
> > think it would be unwise to copy the udhcpd code base, so I’m asking for
> > inclusion of the patch in the udhcp package. Of course I’ll be present
> > to reply to bugs in my code, and subscribe to the pts.
> 
> There's really no need to have two dhcp servers inside busybox,
> one is enough I think.  Marking this bugreport as wontfix.
> 
> Thanks!
> 
> /mjt

Since there's been no further comments in the last 2+ years, I'm closing
this bug report.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 14 Apr 2014 07:25:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 23:51:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.